FROM moxm/java:1.8-full

RUN mkdir -p /yifu-social-biz

WORKDIR yifu-social-biz

ARG JAR_FILE=target/yifu-social-biz.jar

COPY ${JAR_FILE} app.jar

## 解决使用excel工具转png docker乱码没有宋体
#RUN set -xe && apk --no-cache add fontconfig
#COPY simsun.ttc /usr/share/fonts/
#引用本地文件fonts/simsun.ttc
#COPY fonts/simsun.ttc /usr/share/fonts/
COPY fonts/ /usr/share/fonts/

##end

EXPOSE 5002

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms128m -Xmx256m -Djava.security.egd=file:/dev/./urandom"

CMD sleep 60; java -jar app.jar $JAVA_OPTS
